Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class RotatingGraphMousePlugin

    java.lang.Object
      edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
          edu.uci.ics.jung.visualization.control.RotatingGraphMousePlugin

All Implemented Interfaces:
  EventListener, GraphMousePlugin, MouseListener, MouseMotionListener

Direct Known Subclasses:
  SatelliteRotatingGraphMousePlugin

public class RotatingGraphMousePlugin
extends AbstractGraphMousePlugin
implements MouseListener, MouseMotionListener

RotatingGraphMouse provides the abiity to rotate the graph using the mouse. By default, it is activated by mouse button one drag with the shift key pressed. The modifiers can be overridden so that a different mouse/key combination activates the rotation

Author:
  Tom Nelson

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`cursor, down, modifiers`

Constructor Summary
`RotatingGraphMousePlugin()` create an instance with default modifier values
`RotatingGraphMousePlugin(int modifiers)` create an instance with passed zoom in/out values

Method Summary
`protected double` | `angleBetween(Point2D v1, Point2D v2)` Returns the angle between two vectors from the origin to points v1 and v2.
`void` | `mouseClicked(MouseEvent e)`
`void` | `mouseDragged(MouseEvent e)` check the modifiers.
`void` | `mouseEntered(MouseEvent e)`
`void` | `mouseExited(MouseEvent e)`
`void` | `mouseMoved(MouseEvent e)`
`void` | `mousePressed(MouseEvent e)` save the 'down' point and check the modifiers.
`void` | `mouseReleased(MouseEvent e)` unset the down point and change the cursor back to the default

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`checkModifiers, getCursor, getModifiers, setCursor, setModifiers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RotatingGraphMousePlugin

    public RotatingGraphMousePlugin()

  create an instance with default modifier values

### RotatingGraphMousePlugin

    public RotatingGraphMousePlugin(int modifiers)

  create an instance with passed zoom in/out values

Parameters:
  `modifiers` - the event modifiers to trigger rotation

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  save the 'down' point and check the modifiers. If the modifiers are accepted, set the cursor to the 'hand' cursor

  Specified by:
    `mousePressed` in interface `MouseListener`
  Parameters:
    `e` - the event

### mouseReleased

    public void mouseReleased(MouseEvent e)

  unset the down point and change the cursor back to the default

  Specified by:
    `mouseReleased` in interface `MouseListener`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  check the modifiers. If accepted, use the mouse drag motion to rotate the graph

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### angleBetween

    protected double angleBetween(Point2D v1,
                                  Point2D v2)

  Returns the angle between two vectors from the origin to points v1 and v2.

  Parameters:
    `v1` -
    `v2` -
  Returns:

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Specified by:
    `mouseExited` in interface `MouseListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD